Type to search.

Get global checkpoints

  • GET /{index}/_fleet/global_checkpoints
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.13 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get the current global checkpoints for an index. This API is designed for internal use by the Fleet server project.

Required privileges

Index privileges monitor

Path parameters

index union string required

A single index or index alias that resolves to a single index.

Query parameters

wait_for_advance boolean · default: false

A boolean value which controls whether to wait (until the timeout) for the global checkpoints to advance past the provided checkpoints.

wait_for_index boolean · default: false

A boolean value which controls whether to wait (until the timeout) for the target index to exist and all primary shards be active. Can only be true when wait_for_advance is true.

checkpoints number[] · default: []

A comma separated list of previous global checkpoints. When used in combination with wait_for_advance, the API will only return once the global checkpoints advances past the checkpoints. Providing an empty list will cause Elasticsearch to immediately return the current global checkpoints.

timeout union oneOf · default: 30s

Period to wait for a global checkpoints to advance past checkpoints.

Values: -1 0

Response

application/json
global_checkpoints number[] required
timed_out boolean required